Subject: Re: [OPSAWG] Review of draft-wu-model-driven-management-virtualization-03

From: Qin Wu <[email-masked]>
Date: Mon, 17 Jun 2019 01:31:46 +0000

Hi, Joe
Sorry for late reply.

-----邮件原件-----
发件人: OPSAWG [mailto:[email-masked]] 代表 Joe Clarke
发送时间: 2019年4月9日 1:23
收件人: [email-masked]
主题: [OPSAWG] Review of draft-wu-model-driven-management-virtualization-03

As promised at the mic during opsawg at 104, here is a more detailed review of this draft.

Overall, I found it a bit difficult to read.  It could stand from an editorial pass to clarify grammar and sentence structure.  This document wants to say a lot, and it would benefit from more clarity to convey its points.

As to the destiny of this document, I'm a bit unclear.  It does a lot to spell out some of the existing YANG modules developed within the IETF and how they might fit together; but that number will definitely change over time.  If the intent is, like with the YANG Catalog documents, to continually evolve this as a set of guidelines, that may make sense.

[Qin]:Yes, it will evolve over time. It will also provide architecture design for top down service delivery through coordinated models.

I'm also reminded of Benoit's presentation on telemetry on Thursday during 104 where he called for a combination of tools, the models themselves, and the collaboration with other SDOs.  This document really needs that cross-SDO element as not everything can be solved with the IETF.  Said another way, even if operators were clamoring for vendors to implement IETF modules, do the modules they need exist today?  Are they fully ratified?  We would love operators to push IETF modules more, but I'm not convinced they will if they don't see the value or functionality in them.  This document could help illustrate that (if it continues to evolve to subsume other use cases), but I would love to understand the _gaps_ from operators, and then where other SDOs may help.

[Qin]: Yes, we don’t want to boil the ocean in this draft and will leave cross SDO issue in the separate work or effort. By conducting a survey on operator’s feedback on IETF YANG model, they feel
IETF YANG model is not systemically defined, scattered in many WGs, it is hard to keep track of
The maturity of these models, secondly, operators has its own focused use cases, however it is not
Easy for them to decide which data model are fitted into their use cases and meet their requirements, thirdly easy of use, is still a big challenging when they deploy YANG model.
I am not documenting these in this draft but presented in the last IETF presentation slides.

On a more tactical level, you mention YANG Catalog in Section 2.4.  YANG Catalog doesn’t manage modules per se.  It manages the metadata around modules.  It helps different types of users find the modules they need, understand where modules are supported, and view module characteristics such as lifecycle, structure, changes, etc.

You describe some of those elements below, but I want to avoid the concept the YC.o “manages” the modules themselves.

[Qin]: Correct, YANG catalog is just one tool that can be leveraged to identify appropriate YANG data model, will fix this in the next version.

Joe

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg